import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { TokenService } from '../../providers/token.service';

@Component({
    selector: 'page-login',
    providers: [TokenService],
    templateUrl: 'login.html'
})

export class LoginPage {

    constructor(public navCtrl: NavController, public tokenService: TokenService) {}

    ionViewDidLoad() {
        console.log('Hello Login Page');
    }

    // Signin odoo
    signin(): void {
        this.tokenService.getToken();
    }
}
